package com.eactive.eai.transformer.message.generator;

import com.eactive.eai.transformer.layout.Layout;
import com.eactive.eai.transformer.message.Message;
import com.eactive.eai.transformer.message.ObjectMessage;

public class ObjectMessageGenerator implements MessageGenerator {
    public Message createMessage(Layout layout, boolean initialize,
        boolean useDefault) throws Exception {
        ObjectMessage message = (ObjectMessage) layout.getRootItem();
        message = (ObjectMessage) message.clone();
        message.createObject();        
        return message;
    }
}
